package mercury.exception;

import java.io.PrintStream;

public class NotificationException extends Exception
{
    private Exception e;
    
    public NotificationException()
    {
        super();
    }
    
    public NotificationException(String s)
    {
        super(s);
    }
    
    public NotificationException(String s, Exception e)
    {
        super(s);
        this.e = e;
    }
    
    public NotificationException(Exception e)
    {
        this("An exception has occured within Notification Framework.", e);
    }
    
    public void printStackTrace(PrintStream ps)
    {
        super.printStackTrace(ps);
        if (e != null)
        {
            ps.println("----------------nested exception is---------------");
            e.printStackTrace(ps);
        }
    }
    
    public void printStackTrace()
    {
        this.printStackTrace(System.err);
    }
}// end of class NotificationException
