package mercury;

/**
 * <code>Scheduler</code> is the default showcase implementation of Application.
 * It schedules a periodic event to occur. The period can be modified to be 
 * controlled by a configuration file.
 * 
 * last modified - 6 April 2001<br>
 * version 1.0<br>
 * author Chang Sau Sheong
 *
 */
import java.util.Date;

public class Scheduler implements Application {

	int _PERIOD = 10; // period in seconds
	Date _start = new Date();

	public Scheduler() {}
	
	public void activate() {
		System.out.println("Scheduler activated.");
		Date now = new Date();
		
		long start_millis = _start.getTime();
		long now_millis = now.getTime();
		
		if (now_millis > (start_millis + (_PERIOD * 1000))) {
			_start = now;
			System.out.println("DING DONG!!!");		
		}
		
	}

}
