package mercury;

import java.util.*;

public class TimeCondition implements Condition {

	public static final int NONE = -1;
	public static final int EVERYTIME = 0;
	public static final int MINUTE = Calendar.MINUTE;
	public static final int HOUR = Calendar.HOUR;
	public static final int DAY = Calendar.DATE;
	public static final int  WEEK = Calendar.WEEK_OF_YEAR;
	public static final int  MONTH = Calendar.MONTH;
	
	int frequency = NONE;
	int multiplier = 1;
	
	Date time = null;
	
	public boolean isRepeated() {
		if (frequency == EVERYTIME || frequency == MINUTE || frequency == HOUR || frequency == DAY || frequency == WEEK || frequency == MONTH ) 
			return true;
		else
			return false;
	}
	
	public boolean check() {
	
		if (time == null)	return false;

		Date now = new Date();
		if (time.compareTo(now) < 0)	{
			return true;
		}
		return false;			
	}
		
	public void setTime(Date t) {
		time = t;
	}
	
	public Date getTime() {
		return time;
	}

	public void setFrequency(int f) {
		frequency = f;
	}
	
	public int getFrequency() {
		return frequency;
	}
	
	public void setMultiplier(int m) {
		multiplier = m;
	}
	
	public int getMultiplier() {
		return multiplier;
	}
	
	
	// does not return any results
	public Object getResult() {
		return null;	
	}
	

}