package mercury.util;

import java.util.*;
import java.io.*;

public class Config {

	private static Config instance;
	private static Properties prop = new Properties();
	
	private Config () {
		try {
			prop.load(getClass().getClassLoader().getSystemResourceAsStream("mercury.config"));
		}
		catch (IOException e) {
			System.err.println("## Cannot find configuration file");
		}
		catch (NullPointerException e) {
			System.err.println("## Null encountered in configuration settings.");
		}
		catch (IllegalArgumentException e) {
			System.err.println("## Wrong argument supplied for configuration file.");
		}
		catch (Exception e) {
			System.err.println("## Exception encountered loading configurations.");
		}
	}
	
	
	public static Config getInstance() {
		if (instance == null) {
			instance = new Config();
		}
		return instance;
	}
			
	
	public String getProperty(String property) {
		return prop.getProperty(property);
	}

}
